## IdeSearchProvider IdeSearchProvider |

## Functions

#define | IDE_TYPE_SEARCH_PROVIDER
gunichar | ide_search_provider_get_prefix ()
gint | ide_search_provider_get_priority ()
const gchar * | ide_search_provider_get_verb ()
void | ide_search_provider_populate ()

## Types and Values

#define | IDE_SEARCH_PROVIDER_EXTENSION_POINT
struct | IdeSearchProviderClass
| IdeSearchProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeSearchProvider

## Description

## Functions

### IDE_TYPE_SEARCH_PROVIDER

    #define IDE_TYPE_SEARCH_PROVIDER (ide_search_provider_get_type())

### ide_search_provider_get_prefix ()

    gunichar
    ide_search_provider_get_prefix (IdeSearchProvider *provider);

### ide_search_provider_get_priority ()

    gint
    ide_search_provider_get_priority (IdeSearchProvider *provider);

### ide_search_provider_get_verb ()

    const gchar *
    ide_search_provider_get_verb (IdeSearchProvider *provider);

### ide_search_provider_populate ()

    void
    ide_search_provider_populate (IdeSearchProvider *provider,
                                  IdeSearchContext *context,
                                  const gchar *search_terms,
                                  gsize max_results,
                                  GCancellable *cancellable);

## Types and Values

### IDE_SEARCH_PROVIDER_EXTENSION_POINT

    #define             IDE_SEARCH_PROVIDER_EXTENSION_POINT

### struct IdeSearchProviderClass

    struct IdeSearchProviderClass {
      IdeObjectClass parent_class;

      gunichar     (*get_prefix)   (IdeSearchProvider *provider);
      gint         (*get_priority) (IdeSearchProvider *provider);
      const gchar *(*get_verb)     (IdeSearchProvider *provider);
      void         (*populate)     (IdeSearchProvider *provider,
                                    IdeSearchContext  *context,
                                    const gchar       *search_terms,
                                    gsize              max_results,
                                    GCancellable      *cancellable);
    };

### IdeSearchProvider

    typedef struct _IdeSearchProvider IdeSearchProvider;